package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[任务时刻月天]
 */
@Component("ionicdemo_TSDayCodeList")
public class TSDayCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_TSDay");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("1");
		item0.setId("1");
		item0.setText("1号");
		item0.setLabel("1号");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("1",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("2");
		item1.setId("2");
		item1.setText("2号");
		item1.setLabel("2号");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("2",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("3");
		item2.setId("3");
		item2.setText("3号");
		item2.setLabel("3号");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("3",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("4");
		item3.setId("4");
		item3.setText("4号");
		item3.setLabel("4号");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("4",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue("5");
		item4.setId("5");
		item4.setText("5号");
		item4.setLabel("5号");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("5",item4);
		CodeItem item5 = new CodeItem();
		item5.setValue("6");
		item5.setId("6");
		item5.setText("6号");
		item5.setLabel("6号");
		codeItemList.add(item5);
		codeList.getCodeItemModelMap().put("6",item5);
		CodeItem item6 = new CodeItem();
		item6.setValue("7");
		item6.setId("7");
		item6.setText("7号");
		item6.setLabel("7号");
		codeItemList.add(item6);
		codeList.getCodeItemModelMap().put("7",item6);
		CodeItem item7 = new CodeItem();
		item7.setValue("8");
		item7.setId("8");
		item7.setText("8号");
		item7.setLabel("8号");
		codeItemList.add(item7);
		codeList.getCodeItemModelMap().put("8",item7);
		CodeItem item8 = new CodeItem();
		item8.setValue("9");
		item8.setId("9");
		item8.setText("9号");
		item8.setLabel("9号");
		codeItemList.add(item8);
		codeList.getCodeItemModelMap().put("9",item8);
		CodeItem item9 = new CodeItem();
		item9.setValue("10");
		item9.setId("10");
		item9.setText("10号");
		item9.setLabel("10号");
		codeItemList.add(item9);
		codeList.getCodeItemModelMap().put("10",item9);
		CodeItem item10 = new CodeItem();
		item10.setValue("11");
		item10.setId("11");
		item10.setText("11号");
		item10.setLabel("11号");
		codeItemList.add(item10);
		codeList.getCodeItemModelMap().put("11",item10);
		CodeItem item11 = new CodeItem();
		item11.setValue("12");
		item11.setId("12");
		item11.setText("12号");
		item11.setLabel("12号");
		codeItemList.add(item11);
		codeList.getCodeItemModelMap().put("12",item11);
		CodeItem item12 = new CodeItem();
		item12.setValue("13");
		item12.setId("13");
		item12.setText("13号");
		item12.setLabel("13号");
		codeItemList.add(item12);
		codeList.getCodeItemModelMap().put("13",item12);
		CodeItem item13 = new CodeItem();
		item13.setValue("14");
		item13.setId("14");
		item13.setText("14号");
		item13.setLabel("14号");
		codeItemList.add(item13);
		codeList.getCodeItemModelMap().put("14",item13);
		CodeItem item14 = new CodeItem();
		item14.setValue("15");
		item14.setId("15");
		item14.setText("15号");
		item14.setLabel("15号");
		codeItemList.add(item14);
		codeList.getCodeItemModelMap().put("15",item14);
		CodeItem item15 = new CodeItem();
		item15.setValue("16");
		item15.setId("16");
		item15.setText("16号");
		item15.setLabel("16号");
		codeItemList.add(item15);
		codeList.getCodeItemModelMap().put("16",item15);
		CodeItem item16 = new CodeItem();
		item16.setValue("17");
		item16.setId("17");
		item16.setText("17号");
		item16.setLabel("17号");
		codeItemList.add(item16);
		codeList.getCodeItemModelMap().put("17",item16);
		CodeItem item17 = new CodeItem();
		item17.setValue("18");
		item17.setId("18");
		item17.setText("18号");
		item17.setLabel("18号");
		codeItemList.add(item17);
		codeList.getCodeItemModelMap().put("18",item17);
		CodeItem item18 = new CodeItem();
		item18.setValue("19");
		item18.setId("19");
		item18.setText("19号");
		item18.setLabel("19号");
		codeItemList.add(item18);
		codeList.getCodeItemModelMap().put("19",item18);
		CodeItem item19 = new CodeItem();
		item19.setValue("20");
		item19.setId("20");
		item19.setText("20号");
		item19.setLabel("20号");
		codeItemList.add(item19);
		codeList.getCodeItemModelMap().put("20",item19);
		CodeItem item20 = new CodeItem();
		item20.setValue("21");
		item20.setId("21");
		item20.setText("21号");
		item20.setLabel("21号");
		codeItemList.add(item20);
		codeList.getCodeItemModelMap().put("21",item20);
		CodeItem item21 = new CodeItem();
		item21.setValue("22");
		item21.setId("22");
		item21.setText("22号");
		item21.setLabel("22号");
		codeItemList.add(item21);
		codeList.getCodeItemModelMap().put("22",item21);
		CodeItem item22 = new CodeItem();
		item22.setValue("23");
		item22.setId("23");
		item22.setText("23号");
		item22.setLabel("23号");
		codeItemList.add(item22);
		codeList.getCodeItemModelMap().put("23",item22);
		CodeItem item23 = new CodeItem();
		item23.setValue("24");
		item23.setId("24");
		item23.setText("24号");
		item23.setLabel("24号");
		codeItemList.add(item23);
		codeList.getCodeItemModelMap().put("24",item23);
		CodeItem item24 = new CodeItem();
		item24.setValue("25");
		item24.setId("25");
		item24.setText("25号");
		item24.setLabel("25号");
		codeItemList.add(item24);
		codeList.getCodeItemModelMap().put("25",item24);
		CodeItem item25 = new CodeItem();
		item25.setValue("26");
		item25.setId("26");
		item25.setText("26号");
		item25.setLabel("26号");
		codeItemList.add(item25);
		codeList.getCodeItemModelMap().put("26",item25);
		CodeItem item26 = new CodeItem();
		item26.setValue("27");
		item26.setId("27");
		item26.setText("27号");
		item26.setLabel("27号");
		codeItemList.add(item26);
		codeList.getCodeItemModelMap().put("27",item26);
		CodeItem item27 = new CodeItem();
		item27.setValue("28");
		item27.setId("28");
		item27.setText("28号");
		item27.setLabel("28号");
		codeItemList.add(item27);
		codeList.getCodeItemModelMap().put("28",item27);
		CodeItem item28 = new CodeItem();
		item28.setValue("29");
		item28.setId("29");
		item28.setText("29号");
		item28.setLabel("29号");
		codeItemList.add(item28);
		codeList.getCodeItemModelMap().put("29",item28);
		CodeItem item29 = new CodeItem();
		item29.setValue("30");
		item29.setId("30");
		item29.setText("30号");
		item29.setLabel("30号");
		codeItemList.add(item29);
		codeList.getCodeItemModelMap().put("30",item29);
		CodeItem item30 = new CodeItem();
		item30.setValue("31");
		item30.setId("31");
		item30.setText("31号");
		item30.setLabel("31号");
		codeItemList.add(item30);
		codeList.getCodeItemModelMap().put("31",item30);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}